.:Hledání:.



ffmpeg s podporou vetsiny kodeku


Hlasování: 3 (196)   +-


// musi se vzdy doinstalovat knihovny amrnb a amrwb

 

cd /usr/local/src

sudo svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg

cd ffmpeg

 

./configure --enable-nonfree --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libxvid --enable-libx264 --enable-gpl --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-version3


 

// pri problemech s verzi x264

cd /usr/local/src

git clone git://git.videolan.org/x264.git

cd x264

./configure --enable-shared

cd ..

cd ffmpeg

./configure --enable-nonfree --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libxvid --enable-gpl --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-version3 --enable-pic --enable-pthreads --enable-libx264 --extra-cflags=-I`pwd`/../x264/ --extra-ldflags=-L`pwd`/../x264/